Subject: Re: [PATCH] git-commit: Reformat log messages provided on commandline

From: Jakub Narebski <[email-masked]>
Date: Sat, 12 May 2007 02:25:02 +0200

Junio C Hamano wrote:

> This is slightly related, but I have been wondering about the
> interaction with "single-liner summary, empty line and then the
> rest" convention and various commands in the log family.
> 
> Currently, --pretty=oneline and --pretty=email (hence format-patch)
> take and use only the first line.  I think we could change it to:
> 
>  - take the first paragraph, where the definition of the first
>    paragraph is "skip all blank lines from the beginning, and
>    then grab everything up to the next empty line".
> 
>  - replace all line breaks with a whitespace.
[...]
> If we were to do this, Subject: line would most likely use
> RFC2822 line folding at the places where line breaks were in the
> original, but that goes without saying.
> 
> What do people think?

I agree that it is a good idea. This would e.g. help projects which are
imported from other SCM, which does not have "single-liner summary, empty
line and then the rest" convention of formatting commit messages.

BTW. does rebase work correctly for commits which do not use above
convention?
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git